# class Puppet::SimpleGraph::VertexWrapper

Stub class to allow graphs to be represented in YAML using the old (version 2.6) format.

### Attributes

adjacencies[R]
vertex[R]

### Public Class Methods

new(vertex, adjacencies) click to toggle source

    # File lib/puppet/simple_graph.rb, line 488
    def initialize(vertex, adjacencies)
      @vertex = vertex
      @adjacencies = adjacencies
    end

### Public Instance Methods

inspect() click to toggle source

    # File lib/puppet/simple_graph.rb, line 493
    def inspect
      { :@adjacencies => @adjacencies, :@vertex => @vertex.to_s }.inspect
    end